Summary
Gets a page of component group documents.
Description
Gets a page of component group documents.
Route
GET /automation-studio/component-groups
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| queryParameters | object | yes | Parameters for filtering, paginating, projecting, and sorting component group documents. |
{ "queryParameters": { "limit": 10, "skip": 1, "order": 1, "sort": "name", "include": "description", "exclude": "_id", "in": "quis pariatur sed", "not-in": "quis Excepteur magna dolore occaecat", "equals": "sit do", "contains": "ut commodo mollit voluptate sed", "starts-with": "velit cupidatat laboris consectetur", "ends-with": "occaecat" } }
{ "type": "object", "properties": { "queryParameters": { "title": "queryParameters", "type": "object", "properties": { "limit": { "type": "integer", "description": "Number of results to return. Used for pagination.", "default": 25, "minimum": 0, "examples": [ 1, 10, 50 ] }, "skip": { "type": "integer", "description": "Number of results to skip. Used for pagination.", "default": 0, "minimum": 0, "examples": [ 1, 10, 50 ] }, "order": { "type": "integer", "description": "Sort direction, 1 for ascending and -1 for descending.", "default": 1, "enum": [ -1, 1 ] }, "sort": { "type": "string", "description": "Field to sort by", "default": "name", "enum": [ "name" ] }, "include": { "type": "string", "description": "Inclusive projection operator formatted as a comma-delineated list. '_id' will be included implicitly unless excluded with 'exclude=_id'. May only be used in conjunction with 'exclude' when 'exclude=_id'.", "examples": [ "name", "description", "name,description" ] }, "exclude": { "type": "string", "description": "Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with 'include' when 'exclude=_id'.", "examples": [ "_id", "description", "_id,description" ] }, "in": { "description": "Search for fields exactly matching one of the given list options", "type": "string" }, "not-in": { "description": "Search for fields not exactly matching one of the given list options", "type": "string" }, "equals": { "description": "Returns results where the specified fields exactly match the given match string(s).", "type": "string" }, "contains": { "description": "Returns results where the specified fields contain the given match string(s).", "type": "string" }, "starts-with": { "description": "Returns results where the specified fields start with the given match string(s).", "type": "string" }, "ends-with": { "description": "Returns results where the specified fields end in the given match string(s).", "type": "string" } } } }, "required": [ "queryParameters" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| result | object | Results for the given search parameters. |
{ "items": [ { "name": "test", "gbacRead": [ "mollit ad elit" ], "members": [ { "path": "nostrud cillum veniam aute", "type": "component", "sourceCollection": "ullamco mollit", "ref": "cupidatat ex" }, { "path": [ "Ut" ], "type": "folder" }, { "path": [ "dolor aliquip" ], "type": "folder" } ], "_id": "D49634D9b7f57aeA8A8ee780", "description": "aliquip", "gbacWrite": [ "voluptate officia nisi dolor", "officia veniam", "aliquip in officia sit" ], "version": 1 }, { "name": "test", "gbacRead": [ "ullamco cupidatat", "consequat adipisicing" ], "members": [ { "path": [ "sunt" ], "type": "folder" }, { "path": "non ullamco eiusmod esse", "type": "component", "sourceCollection": "Ut voluptate eiusmod ut", "ref": "deserunt" }, { "path": [ "anim ex ad", "Ut proident" ], "type": "folder" }, { "path": "proident laborum Duis", "type": "component", "sourceCollection": "cupidatat non dolore", "ref": "culpa sit nostrud" }, { "path": "laborum deserunt reprehenderit aliquip ipsum", "type": "component", "sourceCollection": "sint labore", "ref": "commodo ullamco Duis id" } ], "_id": "efF9C2fc5e81fF0FfA4Ae1f9", "description": "adipisicing reprehenderit anim minim", "gbacWrite": [ "deserunt exercitation id", "tempor veniam et magna qui" ], "version": 1 } ], "total": 5310122, "start": -68969547, "end": -79495079, "count": 82103511, "next": null, "previous": "tempor occaecat minim reprehenderit veniam" }
{ "title": "result", "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "componentGroup" } }, "total": { "type": "integer", "description": "Total number of documents matching the given query parameters." }, "start": { "type": "integer", "description": "Search index of first document in the items array." }, "end": { "type": "integer", "description": "Search index of the last document in the items array." }, "count": { "type": "integer", "description": "Length of the items array." }, "next": { "description": "URI pointing to the next set of paginated results. Preserves previous search and projection parameters. Null if returning the last page of results.", "oneOf": [ { "type": "string" }, { "type": "null" } ] }, "previous": { "description": "URI pointing to the previous set of paginated results. Preserves previous search and projection parameters. Null if returning the first page of results.", "oneOf": [ { "type": "string" }, { "type": "null" } ] } } }